Bug 1884269 - [Containerized Ceph] :deploying rgw is taking very long (almost an hour)
Summary: [Containerized Ceph] :deploying rgw is taking very long (almost an hour)
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: z1
: 4.2
Assignee: Guillaume Abrioux
QA Contact: Ameena Suhani S H
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-01 13:51 UTC by Nag Pavan Chilakam
Modified: 2020-10-15 15:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-15 15:04:25 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Yaniv Kaul 2020-10-02 09:05:48 UTC
Have you looked at the log file to try and understand what's taking so long?
For example, what happens here:
Thursday 01 October 2020  12:02:54 +0530 (0:00:04.528)       0:09:57.974 ****** 
Thursday 01 October 2020  12:15:42 +0530 (0:12:47.271)       0:22:45.246 ****** 

- seems to be RUNNING HANDLER [ceph-handler : restart ceph osds daemon(s)]

And here?
Thursday 01 October 2020  12:26:50 +0530 (0:00:04.525)       0:33:53.382 ****** 
Thursday 01 October 2020  12:39:40 +0530 (0:12:50.003)       0:46:43.385 ****** 

Which seems to be another restart.

Now that we know this is slow, can you look at why?


Note You need to log in before you can comment on or make changes to this bug.